Bug 185944 - Radeon driver crash on dualhead setup
Radeon driver crash on dualhead setup
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-20 05:51 EST by Jan "Yenya" Kasprzak
Modified: 2008-08-02 19:40 EDT (History)
15 users (show)

See Also:
Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-03 12:11:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf for dual-head setup (works with 6.8.2 drivers) (4.82 KB, text/plain)
2006-03-20 05:51 EST, Jan "Yenya" Kasprzak
no flags Details
xorg.conf file working dualhead mergedfb (4.66 KB, text/plain)
2006-04-09 18:34 EDT, Juan A. Burgos
no flags Details

  None (edit)
Description Jan "Yenya" Kasprzak 2006-03-20 05:51:11 EST
Description of problem:
I use Ati Radeon with two monitors (DVI output as :0.0 and VGA output as :0.1),
but after upgrading to FC5 I was not able to use it - the X server crashed
immediately after startup.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.5.7.3-4

How reproducible:
100%

Steps to Reproduce:
1. Use the xorg.conf file attached to this bug
2. Start the X server
  
Actual results:
The X server crashes

Expected results:
Working dual-head setup expected.

Additional info:
I do not use MergedFB, because my monitors have different resolution (1600x1200
and 1280x1024), I just want to use two separate screens.
I use x86_64 machine, with the following ATI card (lspci output):

02:00.0 VGA compatible controller: ATI Technologies Inc RV370 5B60 [Radeon X300
(PCIE)]
02:00.1 Display controller: ATI Technologies Inc RV370 [Radeon X300SE]

Interestingly enough, when I copied the /usr/X11R6/lib64/modules directory
from FC4 and added this as ModulePath to my xorg.conf, it works (xorg 7.0 server
with 6.8.2 modules). So the problem is probably in the new xorg 7.0 ati driver.

I may attach log files or provide any other info on request.
Comment 1 Jan "Yenya" Kasprzak 2006-03-20 05:51:11 EST
Created attachment 126340 [details]
xorg.conf for dual-head setup (works with 6.8.2 drivers)
Comment 2 Frank Sweetser 2006-03-21 12:20:56 EST
Just as a me too - similar hardware (X300SE, but dual dvi instead of dvi/vga). 
It didn't crash for me, but dual head was absolutely not working.  Although the
desktop obviously extended accross both monitors (the mouse traversed, windows
could be placed elsewhere, etc), both displays showed the same half of the
desktop.  The same fix (copying the fc3 modules directory and adding as
modulespath) also fixed it for me.
Comment 3 Frank Sweetser 2006-03-21 12:24:23 EST
Er - make that the fc4 modules, not fc3.
Comment 4 Juan A. Burgos 2006-03-23 08:11:33 EST
Same problem but slighly diferent hardware, RV100 dual CRT, works fine with
MergeFB in fc4, but after upgrade to fc5 the secondary screen shows only garbage
(copy of primary) except for the cursor(hw) who looks fine when you move it
between the screens. Trying other configurations hangs the machine.
Comment 5 Suren Markosian 2006-03-23 13:34:20 EST
Similar problem here. Dell desktop (Dimension 8400) with "ATI Technologies Inc
RV370 5B60 [Radeon X300 (PCIE)]" (driver in xorg.conf "radeon"). One card, two
outputs (DVI and analog). Seconds monitor (analog) is always black (but recieves
signal) and eventually X freezes and requires cold restart.

Removing BusID "PCI:1:0:0" entry in xorg.conf for the second device simply
clones desktop on both monitors.
Comment 6 Brad Kittredge 2006-03-23 17:07:03 EST
Similar problem here as comment #5 (same video card), and X freezes eventually
and required a cold restart.  Mostly, it works.  I've made it through a half day
already without a lockup.

Here's the relavent parts of xorg.conf:

Section "Monitor"
        Identifier   "Monitor0"
        VendorName   "Monitor Vendor"
        ModelName    "Dell 2001FP (Digital)"
        DisplaySize  410        310
 ### Comment all HorizSync and VertSync values to use DDC:
#       HorizSync    31.0 - 80.0
#       VertRefresh  56.0 - 76.0
        Option      "dpms"
EndSection

Section "Device"
        Identifier  "Videocard0"
        Driver      "radeon"
        VendorName  "Videocard vendor"
        BoardName   "ATI Technologies Inc RV370 5B60 [Radeon X300 (PCIE)]"
        Option      "MergedFB"  "on"
        Option      "MonitorLayout"  "TMDS,TMDS"
        Option      "CRT2Position"  "RightOf"
        Option      "MetaModes"  "1600x1200-1600x1200"
EndSection

Section "Screen"
        Identifier "Screen0"
        Device     "Videocard0"
        Monitor    "Monitor0"
        DefaultDepth     24
        SubSection "Display"
                Viewport   0 0
                Depth     16
                Modes    "800x600" "640x480"
        EndSubSection
        SubSection "Display"
                Viewport   0 0
                Depth     24
                Modes    "1600x1200" "1400x1050" "1280x960" "1152x864"
"1024x768" "800x600" "640x480"
        EndSubSection
EndSection
Comment 7 Daniel Thom 2006-03-24 17:19:12 EST
At the risk of being yet another "me too" report, I would like to say that I 
believe I am maybe running into this same problem as well.  My setup is a 
little different: 
 
02:00.0 VGA compatible controller: ATI Technologies Inc RV350 AQ [Radeon 9600] 
02:00.1 Display controller: ATI Technologies Inc RV350 AQ [Radeon 9600] 
(Secondary) 
 
When I tried using a dual head setup my box would seemingly lock up and I had 
to physically power it off (ctrl-alt-backspace didn't help, and my capslock 
quit working).  I didn't try to ssh into the machine to make sure it was 
completely gone, but I could do that or perhaps a little more troubleshooting 
if it would help someone get to the bottom of this problem. 
 
My broken xorg.conf: 
# Xorg configuration created by system-config-display 
 
Section "ServerLayout" 
        Identifier     "Multihead layout" 
        Screen      0  "Screen0" LeftOf "Screen1" 
        Screen      1  "Screen1" 0 0 
        InputDevice    "Mouse0" "CorePointer" 
        InputDevice    "Keyboard0" "CoreKeyboard" 
        Option      "Xinerama" "on" 
        Option      "Clone" "off" 
EndSection 
 
Section "Files" 
        RgbPath      "/usr/share/X11/rgb" 
        ModulePath   "/usr/lib64/xorg/modules" 
        FontPath     "/usr/share/X11/fonts/misc/" 
        FontPath     "/usr/share/X11/fonts/TTF/" 
        FontPath     "/usr/share/X11/fonts/OTF" 
        FontPath     "/usr/share/X11/fonts/Type1/" 
        FontPath     "/usr/share/X11/fonts/CID/" 
        FontPath     "/usr/share/X11/fonts/100dpi/" 
        FontPath     "/usr/share/X11/fonts/75dpi/" 
EndSection 
 
Section "Module" 
        Load  "vnc" 
        Load  "glx" 
        Load  "record" 
        Load  "dbe" 
        Load  "xtrap" 
        Load  "extmod" 
        Load  "type1" 
        Load  "freetype" 
        Load  "dri" 
EndSection 
 
Section "InputDevice" 
        Identifier  "Keyboard0" 
        Driver      "kbd" 
EndSection 
 
Section "InputDevice" 
        Identifier  "Mouse0" 
        Driver      "mouse" 
        Option      "Protocol" "auto" 
        Option      "Device" "/dev/input/mouse0" 
        Option      "ZAxisMapping" "4 5 6 7" 
EndSection 
 
Section "Monitor" 
 
        #DisplaySize      400   300     # mm 
 ### Comment all HorizSync and VertSync values to use DDC: 
        Identifier   "Monitor0" 
        VendorName   "VSC" 
        ModelName    "P225f-6" 
 ### Comment all HorizSync and VertSync values to use DDC: 
        HorizSync    30.0 - 127.0 
        VertRefresh  50.0 - 160.0 
        Option      "DPMS" 
EndSection 
 
Section "Monitor" 
        Identifier   "Monitor1" 
        VendorName   "Monitor Vendor" 
        ModelName    "Dell P1110" 
 ### Comment all HorizSync and VertSync values to use DDC: 
        HorizSync    30.0 - 121.0 
        VertRefresh  48.0 - 160.0 
        Option      "dpms" 
EndSection 
 
Section "Device" 
 
        ### Available Driver options are:- 
        ### Values: <i>: integer, <f>: float, <bool>: "True"/"False", 
        ### <string>: "String", <freq>: "<f> Hz/kHz/MHz" 
        ### [arg]: arg optional 
        #Option     "NoAccel"                   # [<bool>] 
        #Option     "SWcursor"                  # [<bool>] 
        #Option     "Dac6Bit"                   # [<bool>] 
        #Option     "Dac8Bit"                   # [<bool>] 
        #Option     "BusType"                   # [<str>] 
        #Option     "CPPIOMode"                 # [<bool>] 
        #Option     "CPusecTimeout"             # <i> 
        #Option     "AGPMode"                   # <i> 
        #Option     "AGPFastWrite"              # [<bool>] 
        #Option     "AGPSize"                   # <i> 
        #Option     "GARTSize"                  # <i> 
        #Option     "RingSize"                  # <i> 
        #Option     "BufferSize"                # <i> 
        #Option     "EnableDepthMoves"          # [<bool>] 
        #Option     "EnablePageFlip"            # [<bool>] 
        #Option     "NoBackBuffer"              # [<bool>] 
        #Option     "DMAForXv"                  # [<bool>] 
        #Option     "PanelOff"                  # [<bool>] 
        #Option     "DDCMode"                   # [<bool>] 
        #Option     "MonitorLayout"             # [<str>] 
        #Option     "IgnoreEDID"                # [<bool>] 
        #Option     "UseFBDev"                  # [<bool>] 
        #Option     "MergedFB"                  # [<bool>] 
        #Option     "CRT2HSync"                 # [<str>] 
        #Option     "CRT2VRefresh"              # [<str>] 
        #Option     "CRT2Position"              # [<str>] 
        #Option     "MetaModes"                 # [<str>] 
        #Option     "MergedDPI"                 # [<str>] 
        #Option     "MergedXinerama"            # [<bool>] 
        #Option     "MergedXineramaCRT2IsScreen0"       # [<bool>] 
        #Option     "MergedNonRectangular"      # [<bool>] 
        #Option     "MergedMouseRestriction"    # [<bool>] 
        #Option     "DisplayPriority"           # [<str>] 
        #Option     "PanelSize"                 # [<str>] 
        #Option     "ForceMinDotClock"          # <freq> 
        #Option     "ColorTiling"               # [<bool>] 
        #Option     "VideoKey"                  # <i> 
        #Option     "RageTheatreCrystal"        # <i> 
        #Option     "RageTheatreTunerPort"      # <i> 
        #Option     "RageTheatreCompositePort"  # <i> 
        #Option     "RageTheatreSVideoPort"     # <i> 
        #Option     "TunerType"                 # <i> 
        #Option     "RageTheatreMicrocPath"     # <str> 
        #Option     "RageTheatreMicrocType"     # <str> 
        #Option     "RenderAccel"               # [<bool>] 
        #Option     "SubPixelOrder"             # [<str>] 
        #Option     "ShowCache"                 # [<bool>] 
        #Option     "DynamicClocks"             # [<bool>] 
        #Option     "BIOSHotkeys"               # [<bool>] 
        #Option     "VGAAccess"                 # [<bool>] 
        #Option     "ReverseDDC"                # [<bool>] 
        #Option     "LVDSProbePLL"              # [<bool>] 
        #Option     "AccelMethod"               # <str> 
        Identifier  "Card0" 
        Driver      "ati" 
        VendorName  "ATI Technologies Inc" 
        BoardName   "RV350 AQ [Radeon 9600]" 
        BusID       "PCI:2:0:0" 
EndSection 
 
Section "Device" 
        Identifier  "Videocard1" 
        Driver      "radeon" 
        VendorName  "Videocard Vendor" 
        BoardName   "ATI Technologies Inc RV350 AQ [Radeon 9600]" 
        BusID       "PCI:2:0:0" 
        Screen      1 
EndSection 
 
Section "Screen" 
        Identifier "Screen0" 
        Device     "Card0" 
        Monitor    "Monitor0" 
        DefaultDepth     16 
        SubSection "Display" 
                Viewport   0 0 
                Depth     16 
                Modes    "1600x1200" "1400x1050" "1280x960" "1152x864" 
"1024x768" "800x600" "640x480" 
        EndSubSection 
EndSection 
 
Section "Screen" 
        Identifier "Screen1" 
        Device     "Videocard1" 
        Monitor    "Monitor1" 
        DefaultDepth     16 
        SubSection "Display" 
                Viewport   0 0 
                Depth     16 
                Modes    "1600x1200" 
        EndSubSection 
EndSection 
Comment 8 Mike A. Harris 2006-03-24 20:10:06 EST
This appears to be generic dualhead brokenness in the X11R7.0 ATI radeon
driver.  There have been various other bug reports of this as well.
Comment 9 Victor Bogado 2006-03-28 07:17:28 EST
I want to add "me too" here, I also have the same problem with eventual lockups
in my laptop. I will be ading my email to the CC list and I am eager to have
this bug squashed so I am offering my help to test stuff out and help with the
solution. :-)
Comment 10 Juan A. Burgos 2006-04-08 09:02:17 EDT
I've make dualhead work using xorg-x11-drv-ati-6.5.7.3-4.cvs20060404 from
rawhide on my system which uses an "ATI Technologies Inc Radeon RV100 QY [Radeon
7000/VE]" with a dual CRT config, spanning screens.
Comment 11 Victor Bogado 2006-04-08 09:13:06 EDT
Juan are there any RPMs I download?
Comment 13 Patrick Proctor 2006-04-09 13:45:57 EDT
I have a Radeon X300 PCI-X card with one analog and one digital output.  I was
having the crashing problem, and this driver worked to cause it not to crash. 
Also, the system seems to think it has a dual head desktop in terms of space
available.  However, the analog monitor doesn't receive any out put once I enter
X (it is there during bios, boot, etc.).  Any thoughts?
Comment 14 Jason S 2006-04-09 17:56:12 EDT
Juan, would you post your xorg.conf so I can use it as a reference?  What do you 
have for the driver entry?  I've tried "ati" (blank secondary screen) "radeon" 
(blank secondary) and "fglrx" (scrambled first screen or system crash) but can't 
get xinerama to work.  

I tried with the updated driver (primary display is a 1400x1050 laptop screen 
and the secondary is a 1280x1024 LCD) but the primary is scrambled and the 
secondary seems to be set to 1400x1050 so it scrolls around the screen.  Even 
with Xinerama enabled the secondary is still a clone of the primary.  This is 
the same result as with the stock driver.  Also, what kernel are you using?  I 
have both 2.6.15-1.2054 and 2.6.16-1.2080 and the new driver locks the system 
(hard reboot required) under 2.6.16. 
Comment 15 Juan A. Burgos 2006-04-09 18:34:05 EDT
Created attachment 127530 [details]
xorg.conf file working dualhead mergedfb
Comment 16 Chris Spencer 2006-04-15 12:14:29 EDT
Another "me too" to report. After initially upgrading to FC5 I experienced some
X-freezing, but now I can't reproduce that. Instead, I've narrowed my dual-head
setups into three categories:

Setup:
    No dual head.
Effect:
    Both screens show identical image.

Setup:
    Second Video Card: ATI Technologies Inc RV370 5B60 [Radeon (PCIE)]
    Layout: Individual or Spanning Desktops
Effect:
    Both screens show identical image, except for the mouse, which can travel
between the two screens and appears as a roughly 200x200 pixel blue square.

Setup:
    Second Video Card: ATI Technologies Inc RV370 [Radeon X300SE]
    Layout: Individual or Spaning Desktops
Effect:
    Both screens show identical image.
    Second Video Card switches back to "ATI Technologies Inc RV370 5B60 [Radeon
(PCIE)]"

Aside from not having functioning dual head in any case, I haven't experienced
any crashes or lockups.
Comment 17 Bernd Bartmann 2006-04-15 12:29:15 EDT
Same problem here. This effectively means that dual head on FC5 doesn't work at
all with BOTH major graphic cards brands (NVIDIA and ATI) and the stock drivers.

Is there anything we can test out to help getting this working again ASAP? I
already tried the latest rpms from rawhide, but with the same results.

Due to this problem FC5 is completely unusable for me :-((
Comment 18 Paul Johnson 2006-05-25 23:59:06 EDT
Me Too!  Why no news on this one?

I just installed FC5 on a lab full of Dell Optiplex 280 PC's with ATI X300 dual
video displays. Under FC4, there was never any trouble with the dual head
display and MergedFB.  Now machines are constantly locking up at random, no
error logs.

Does the devel version of the ati driver fix the dual head problem?
Comment 19 Keith Sharp 2006-05-27 18:48:38 EDT
Dual head worked fine for me on FC4, upgrading to FC5 brought random lockups. 
These seemed to be most easily triggered by looking at the Fedora People blog
aggregator in any of the available web browsers.

Hardware is a Dell PC with a:

01:00.0 VGA compatible controller: ATI Technologies Inc RV370 5B60 [Radeon X300
(PCIE)]

With two Iiyama flat screens (not sure of the model number).  

Upgrading from the default xorg-x11-drv-ati to xorg-x11-drv-ati-6.6.0-1 from
development has fixed the problem for me.
Comment 20 SZ BEAM 2006-06-08 09:43:24 EDT
Me too. Had dual head Xinerama working on Fc3. Clean wipe and upgrade to FC5
broke it. Have the following cards (lspci output):

01:00.0 VGA compatible controller: ATI Technologies Inc Rage 128 PF/PRO AGP 4x TMDS
02:0b.0 VGA compatible controller: ATI Technologies Inc Radeon RV100 QY [Radeon
7000/VE]

System freezes with some configurations, others only one screen works. Have not
been able to get the monitor attached to Screen 2 (the R128) to do anything
other than wake from suspend.

/var/log/Xorg.0.log reports that 

(WW) R128: No matching Device section for instance (BusID PCI:2:11:0) found

and then:
(II) LoadModule: "radeon"
(II) Reloading /usr/lib/xorg/modules/drivers/radeon_drv.so
(EE) Screen 1 deleted because of no matching config section.

the first WW is weird because it is clearly the Radeon attached to that bus, and
is set up correctly in xorg.conf. No idea why R128 seems to be complaining about it.
Comment 21 Ben Stern 2006-06-08 18:02:50 EDT
Me too.  Clean install of FC5 fails.

01:00.0 is an ATI Radeon X300SE
01:00.1 is the second aperture on this card
02:00.0 is another ATI Radeon X300SE
02:00.1 is the second aperture on this card

The second card is never demonstrably recognized.  When I add a BusID 2:0:0 for
my second head, the system freezes and requires a hard reset.  When I use the
second aperture on the first card, it clones the first monitor no matter what I
try (although I have not yet tried MergedFB), and then eventually hangs,
requiring a hard reset.

(This is on a P4 3GHz HT 32-bit CPU, with an SMP kernel.)
Comment 22 Ben Stern 2006-06-08 18:07:06 EDT
When I do not supply any BusIDs (and thereby avoid the immediate hang) I get the
exact same messages in Xorg.0.log as SZ BEAM, modulo BusIDs:

(WW) radeon: No matching Device section for instance (BusID PCI:1:0:1) found
(WW) radeon: No matching Device section for instance (BusID PCI:2:0:0) found
(WW) radeon: No matching Device section for instance (BusID PCI:2:0:1) found
(II) LoadModule: "radeon"
(II) Reloading /usr/lib/xorg/modules/drivers/radeon_drv.so
(EE) Screen 1 deleted because of no matching config section.

I have found that just before the eventual hang with one head, there is a
comment in the Xorg.0.log (discovered when it is backed up the next time X
launches, after a reset) that says that the Radeon FIFO has disappeared.
Comment 23 Mike A. Harris 2006-06-14 00:31:37 EDT
------- Additional Comments From james.antill@redhat.com  2006-06-09 14:51 EST
-------
 Note that the
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/testing/5/i386/xorg-x11-drv-ati-6.5.8.0-1.i386.rpm

works for me.


Comment 24 Victor Bogado 2006-06-14 08:42:37 EDT
I've installed the said RPM and it seems to be working okay to me also. 
Comment 25 SZ BEAM 2006-06-14 08:46:37 EDT
that RPM was installed here. But it does NOT work. symptoms as above.
Comment 26 SZ BEAM 2006-06-14 10:47:54 EDT
did a

# yum --enablerepo=development upgrade xorg-x11-drv-ati

to get the latest ati driver xorg-x11-drv-ati-6.6.0-3 and
xorg-x11-server-Xorg-1.1.0-13. Still no change except that my one working screen
now is too bright and flickers every 30 seconds...
Comment 27 Mike A. Harris 2006-06-14 11:12:04 EDT
Our bugzilla database had a catastrophic failure on June 13, 2006
which lost all bug changes from Thurs June 9th through 13th.  I have
bugzilla email records of the time period however, and will be
restoring as many changes as I can manually.
Comment 28 Bernd Bartmann 2006-06-14 12:05:20 EDT
I also tried the newer rpms from FC5/updates/testing and Rawhide, but the
problem still exists. This is the only problem that stops me from using FC5.
Again the question: What can we do to help get this going again?
Comment 29 Mike A. Harris 2006-06-14 18:24:19 EDT
(In reply to comment #17)
> Same problem here. This effectively means that dual head on FC5 doesn't work at
> all with BOTH major graphic cards brands (NVIDIA and ATI) and the stock drivers.
> 
> Is there anything we can test out to help getting this working again ASAP? I
> already tried the latest rpms from rawhide, but with the same results.
> 
> Due to this problem FC5 is completely unusable for me :-((

(In reply to comment #28)
> I also tried the newer rpms from FC5/updates/testing and Rawhide, but the
> problem still exists. This is the only problem that stops me from using FC5.
> Again the question: What can we do to help get this going again?

The best thing anyone can do, who is seriously interested in seeing this
(or these, as it is not 100% clear there is one single problem in this
 bug report) issue resolved, is to file a bug report in X.Org bugzilla
at http://bugs.freedesktop.org in the "xorg" component against the
"radeon" driver, and include all relevant details in the upstream report.

This is not a Red Hat specific bug or problem.  We ship the stock X.Org
supplied "radeon" driver, so any bugs present in it, are X.Org bugs that
will affect all distributions out there.  By having the issue logged
directly in X.Org's bugzilla, _all_ of the developers who work on the
"radeon" driver upstream are more likely to see the bug report, and
may be able to investigate it directly and possibly fix it.

As it stands now, the problem is highly dependent on exact specific
video hardware, and each person seems to have similar or related issues,
but not 100% identical issues, so it is very hard to just look at the
bug report comments, etc. and conclude what the exact problem is, other
than a vague general "the radeon driver's output display logic is
horribly broken, and evolves breaking for various hardware each
release".

The reason it breaks, is because nobody actually has every single
radeon card, and there's no simple way to test every single driver
change on every single card out there.  Not enough people beta test
upstream X.Org releases before they're released as "stable" and so
things regress over time.

Always report X bugs directly to Xorg, and these problems get fixed
faster.  No guarantees of course, but at least more than 1 or 2
overworked developers ends up seeing the generic bugs when people
report them to the source of the problem - X.Org bugzilla.

The radeon driver's display detection logic seems to need a complete total
rip-out and rewrite from scratch, as it appears to be horrendously broken
for the majority of people out there.  It does not appear to be a trivial
minor bug fix type of thing, but a complete "rewrite the entire driver"
type of thing.  That's definitely something that _must_ happen at the
X.Org level, and not at the distribution level.

Paste the bug URL here once it's filed, and we'll track the issue
in X.Org bugzilla.
Comment 30 Jason S 2006-06-15 01:46:29 EDT
It looks like there are several bugs already open on freedesktop.org for this or
similar problems:

https://bugs.freedesktop.org/show_bug.cgi?id=2597 (lots of activity here)
https://bugs.freedesktop.org/show_bug.cgi?id=5571
https://bugs.freedesktop.org/show_bug.cgi?id=7104

The first one should cover the problems we're seeing here, so I'll add my
configuration to it (Dell Latitude 600 - xinerama working fine with FC4, won't
work with FC5 using radeon, ati and fglrx drivers).  
Comment 31 Mike A. Harris 2006-06-15 14:12:24 EDT
(In reply to comment #30)
> It looks like there are several bugs already open on freedesktop.org for this or
> similar problems:
> 
> https://bugs.freedesktop.org/show_bug.cgi?id=2597 (lots of activity here)

Except for the fact that that is an Intel/nvidia related bug, and this bug
is a Radeon bug, and this is a driver specific problem.

People see someone else report a problem on a different card that uses
a totally different driver, and think "Hey, I'm having the same problem
on this totally other card" or "hey, I'm having a similar problem on
a different card", and they add all kinds of "me too" comments for
a completely unrelated problem.

That makes a bug report actually be 2 to 10 bug reports in 1 actual
report, of completely unrelated issues that "sound similar", and makes
life on developers very difficult.


> https://bugs.freedesktop.org/show_bug.cgi?id=5571
> https://bugs.freedesktop.org/show_bug.cgi?id=7104
> 
> The first one should cover the problems we're seeing here, so I'll add my
> configuration to it (Dell Latitude 600 - xinerama working fine with FC4, won't
> work with FC5 using radeon, ati and fglrx drivers).  

To be clear, it is very likely that the problem reported in this bug
report is _specific_ to the "radeon" driver, which is quite buggy
at this point with regard to output display autodetection, and separately
to dualhead configurations, although the problems are almost certainly
interrelated.

Driver problems on any other non-ATI hardware are almost certainly
completely unrelated problems in other video drivers.  Even in cases
where bugs on different hardware could get tracked down to a common
generic server problem, and fixing the server fixes all hardware,
it is best to track each hardware problem in its own bug report and
close them as duplicates _after_ the connection is firmly established.

Lumping multiple similar problems into one bug report, makes them
not possible to isolate into individual reports once the original
issue reported does get resolved for the reporter.

All in one "me too" bug reports that tonnes of people pile on to
are frustrating to say the least.
Comment 32 Andrew D. Stadler 2006-06-19 17:53:09 EDT
At the risk of murkying the waters further, here are two mode freedesktop bugs that track this (or related) 
hangs.

https://bugs.freedesktop.org/show_bug.cgi?id=5781
https://bugs.freedesktop.org/show_bug.cgi?id=7019

To be clear:  These are both related to hangs on Radeon 7500's and with xorg-x11-drv-ati-6.5.8.0-1.
Comment 33 Matthias Clasen 2006-07-06 17:59:59 EDT
Add to FC6Destop tracker
Comment 34 SZ BEAM 2006-09-29 15:02:54 EDT
created an upstream bug:
https://bugs.freedesktop.org/show_bug.cgi?id=8461

as noted above, this is for MY symptoms and if yours are at all different then
it may be best to create a new bug rather than "me too".
Comment 35 Matěj Cepl 2007-07-03 09:49:50 EDT
Fedora Core 5 is no longer supported, please, could you reproduce this bug with
the updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX/INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 36 Andrew D. Stadler 2007-07-03 11:50:40 EDT
I'm not the original report but here is an update from me.

I would support the proposal to close this bug.  Once I got a working xorg.conf arranged, dual-head has 
been stable for me.  The driver no longer appears to be crashing.

(getting a working xorg.conf arranged was another story entirely, but this has to do with issues between 
the driver, X, and system-config-display).

I'm using FC6, xorg-x11-drv-ati-6.6.3-1.fc6, system-config-display-1.0.45-1.
Comment 37 Jan "Yenya" Kasprzak 2007-07-03 11:56:46 EDT
I agree - this bug can be closed, the problem is not present in FC6 or F7 (which
is what I am running now).
Comment 38 Matěj Cepl 2007-07-03 12:11:54 EDT
Closing per reporter's request.

Note You need to log in before you can comment on or make changes to this bug.